---

stages:
  - build
  - trigger

image: docker.io/library/docker:dind

variables:
  DOCKER_TLS_CERTDIR: "/certs"

services:
  - docker:dind

before_script:
  - echo "$DOCKER_TOKEN" |
    docker login docker.io -u $DOCKER_USER --password-stdin
  - echo "$GITLAB_TOKEN" |
    docker login registry.gitlab.com -u $GITLAB_USER --password-stdin
  - docker context create builders
  - docker buildx create builders --use

.build:
  stage: build
  tags:
    - dockerwest
  script:
    - cd $NGINX_VERSION
    - docker buildx build
      --platform linux/arm64/v8,linux/amd64
      --tag registry.gitlab.com/dockerwest/image/nginx-pimcore10:$NGINX_VERSION
      --push
      .
    - docker buildx build
      --platform linux/arm64/v8,linux/amd64
      --tag docker.io/dockerwest/nginx-pimcore10:$NGINX_VERSION
      --push
      .

build:stable:
  variables:
    NGINX_VERSION: stable
  extends: .build
  only:
    - main

build:mainline:
  variables:
    NGINX_VERSION: mainline
  extends: .build
  only:
    - main
